#pragma once

#if defined(__cplusplus)
extern "C" {
#endif

void usart1_rx_dma_isr(void);
void usart1_tx_dma_isr(void);
void usart1_isr(void);

void usart2_rx_dma_isr(void);
void usart2_tx_dma_isr(void);
void usart2_isr(void);

void usart3_rx_dma_isr(void);
void usart3_tx_dma_isr(void);
void usart3_isr(void);

void usart4_rx_dma_isr(void); //  console
void usart4_tx_dma_isr(void); //  console
void usart4_isr(void);

void usart6_rx_dma_isr(void); //  console
void usart6_tx_dma_isr(void); //  console
void usart6_isr(void);

void m2m1_dma_isr(void); //  m2mcpy
void m2m2_dma_isr(void); //  crc

#if defined(__cplusplus)
}
#endif
